#
# spec file for package python-requirements-parser
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-requirements-parser
Version:        0.1.0
Release:        6.1
Summary:        Parses Pip requirement files
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            https://github.com/davidfischer/requirements-parser
Source:         https://pypi.python.org/packages/source/r/requirements-parser/requirements-parser-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test requirements:
BuildRequires:  python-nose
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This is a small Python module for parsing Pip requirement files.

%prep
%setup -q -n requirements-parser-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE.rst README.rst
%{python_sitelib}/*

%changelog
* Tue May 12 2015 benoit.monin@gmx.fr
- update to version 0.1.0:
  * Fix a bug involving parsing projects with underscores (#17)
  * Parse recursive requirements (#19)
* Thu Mar  6 2014 cfarrell@suse.com
- license update: BSD-2-Clause
  See License.rst
* Wed Sep  4 2013 speilicke@suse.com
- Initial version
